Libreoffice temporarily hangs / freezes Ubuntu 16.10

Bug #1635996 reported by Giraffe on 2016-10-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

Using LibreOffice-Writer and running off the IGP ( (Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2) / Mesa 12.0.3 ) causes LibreOffice and the Ubuntu Desktop interface to become unresponsive every few minutes. This freezing will last for about five seconds before everything works again.
When i keep typing while everything freezes the text will appear after the system becomes responsive again.

WORKAROUND: Use the Nvidia Quadro M2000M GPU and it's Nvidia driver for the graphics.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: libreoffice-writer 1:5.2.2-0ubuntu2
Uname: Linux 4.8.4-040804-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
Date: Sun Oct 23 19:13:44 2016
InstallationDate: Installed on 2016-03-17 (219 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
SourcePackage: libreoffice
UpgradeStatus: Upgraded to yakkety on 2016-10-04 (19 days ago)
---
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
DistUpgraded: 2016-10-04 18:37:47,607 DEBUG Running PostInstallScript: './xorg_fix_proprietary.py'
DistroCodename: yakkety
DistroRelease: Ubuntu 16.10
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation HD Graphics 530 [8086:191b] (rev 06) (prog-if 00 [VGA controller])
   Subsystem: Dell HD Graphics 530 [1028:06d9]
 NVIDIA Corporation GM107GLM [Quadro M2000M] [10de:13b0] (rev ff) (prog-if ff)
InstallationDate: Installed on 2016-03-17 (227 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 8087:0a2b Intel Corp.
 Bus 001 Device 004: ID 0bda:5686 Realtek Semiconductor Corp.
 Bus 001 Device 003: ID 0a5c:5832 Broadcom Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Precision 7510
Package: xorg 1:7.7+13ubuntu4 [origin: unknown]
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.5-040805-generic root=UUID=686f22fd-c027-414b-803f-9664fcf0efd1 ro quiet splash vt.handoff=7
Tags: yakkety third-party-packages ubuntu
Uname: Linux 4.8.5-040805-generic x86_64
UnreportableReason: This is not an official Ubuntu package. Please remove any third party package and try again.
UpgradeStatus: Upgraded to yakkety on 2016-10-04 (26 days ago)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 10/07/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.8.3
dmi.board.name: 0M91XC
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.8.3:bd10/07/2016:svnDellInc.:pnPrecision7510:pvr:rvnDellInc.:rn0M91XC:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Precision 7510
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.70-1
version.libgl1-mesa-dri: libgl1-mesa-dri 12.0.3-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 12.0.3-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160706-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Giraffe (dodger-forum) wrote :
Giraffe (dodger-forum) on 2016-10-24
description: updated

Giraffe, thank you for reporting this and helping make Ubuntu better.

Could you please run the following command once from a terminal by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information:
apport-collect -p xserver-xorg-video-intel 1635996

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
dino99 (9d9) wrote :

I think that the Quadro only hide the issue as it is much more powerfull.
I've got a very similar problem ( bug #1617301 ) and it was due to a missing dependency as the Calc app was only installed (does not need all the libreoffice suite). Maybe you also have not installed the 'libreoffice' metapackage.

dino99 (9d9) on 2016-10-27
Changed in libreoffice (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

tags: added: third-party-packages
description: updated

apport information

apport information

apport information

description: updated

apport information

apport information

description: updated

apport information

apport information

apport information

Giraffe, the information being attached isn't helpful unfortunately, and can be due to not following the provided instructions. Hence, could you please run the following command once from a terminal by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information:
apport-collect -p xorg 1635996

affects: xserver-xorg-video-intel (Ubuntu) → xorg (Ubuntu)
description: updated

apport information

tags: added: ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Giraffe (dodger-forum) wrote :

apport information

Giraffe (dodger-forum) wrote :

I've removed and re-added CurrentDmesg.txt removing MAC-adresses

tags: added: latest-bios-1.8.3
Giraffe (dodger-forum) wrote :

apport information

Giraffe (dodger-forum) wrote :

apport information

Giraffe (dodger-forum) wrote :

Removed and re-added LightdmLog.txt removing private username

Giraffe, it was noticed that your linux version isn't the default from the Ubuntu repositories. Could you please advise if this affects the default configuration also?

affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Low → Medium
Giraffe (dodger-forum) wrote :

Christopher,

By default configuration i'm assuming you mean the default kernel.

Yes, default config / kernel is also affected.

Giraffe, did you notice an improvement or worsening using the 4.8.x series kernel?

Giraffe (dodger-forum) wrote :

Christopher,

I can't really say, the first thing i did when i encountered this issue is try the default kernel, the one that is shipped and maintained by Canonical.

Noting that the issue also occured with the default kernel i ruled that out as a cause and went one trying to find a solution.

So in short, i haven't really kept track of improvements or worsening of the problem running different kernels. I only confirmed the problem also happens using default kernel.

Is this something you want me to test?

Giraffe, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

It is most helpful that after testing of the latest upstream kernel is complete, you mark this report Status Confirmed.

Lastly, to keep this issue relevant to upstream, please continue to test the latest mainline kernel as it becomes available.

Thank you for your help.

Giraffe (dodger-forum) wrote :

I will test running this kernel and report back my findings.

Giraffe (dodger-forum) wrote :

 kernel-bug-exists-upstream-4.9-rc3

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Giraffe (dodger-forum) on 2016-11-04
tags: added: kernel-bug-exists-upstream-4.9-rc3
Changed in libreoffice (Ubuntu):
status: Incomplete → Confirmed

Giraffe, to see if this is resolved in Intel upstream, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/ and advise to the results?

tags: added: kernel-bug-exists-upstream
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Giraffe (dodger-forum) wrote :

Christopher,

current drm-intel-nightly-builds for AMD64 are failing to be compliled according to:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/

"Build for amd64 failed (see BUILD.LOG.amd64):linux-headers-4.9.0-994_4.9.0-994.201611032312_all.deb
  *_amd64.deb"

So i'm unable to test.

Giraffe (dodger-forum) wrote :

kernel-bug-exists-upstream-4.9-rc4

tags: added: kernel-bug-exists-upstream-4.9-rc4
removed: kernel-bug-exists-upstream-4.9-rc3

Giraffe, to clarify, are you trying to manually compile or install the pre-built deb files?

If compiling, please redirect to the pre-built debs.

Giraffe (dodger-forum) wrote :

Christopher,

I'm using the pre built .deb files from the Ubuntu Kernel PPA:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/

Giraffe, to clarify, I was requesting you test the pre-built .deb files from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/ . Could you please advise?

Giraffe (dodger-forum) wrote :

Chritopher,
When you look at the contents of:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2016-11-12/

You will notice that there are no "*AMD64.deb" files that can be downloaded since the builds targetting AMD64 failed to build.

The same goes for:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/current/

So i'm unable tot test those kernels and report back.

Giraffe, as the nightly is built once a day, the amd64 build is available.

Giraffe (dodger-forum) wrote :

Christopher,

I've been using the Intel DRM Nightly build of 2016-11-26 (4.9.0-994.201611252100), for some time now and last Saturday while using LibreOffice Xubuntu froze again.

So the Nightly build, at least the build i was using is also affected by this issue.

Should i add the results (Nightly being affect) to the Tags or are the Tags reserved for RC and mainstream kernel versions?

Giraffe (dodger-forum) wrote :

System has been updated to the latest UEFI/BIOS rev. 1.9.4, I'll see if this changes anything

tags: added: latest-bios-1.9.4
removed: latest-bios-1.8.3
Giraffe (dodger-forum) wrote :

Issue is not resolved by flashing latest-bios-1.9.4

Issue is present with Kernel 4.9.0.

tags: added: kernel-bug-exists-upstream-4.9.0
removed: kernel-bug-exists-upstream-4.9-rc4
Giraffe (dodger-forum) wrote :

Giraffe@Precision-7510:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for Giraffe:
1.9.4
11/04/2016

Giraffe, to see if this affects upstream Intel, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/ and advise to the results?

tags: added: kernel-bug-exists-upstream-4.9
removed: kernel-bug-exists-upstream-4.9.0
Giraffe (dodger-forum) wrote :

@Christopher,
I will test and report back

Giraffe (dodger-forum) wrote :

This problem indeed affects upstream Intel DRM nightly (build: 4.9.0-994.201612222215)

description: updated

Giraffe, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions verbatim at https://01.org/linuxgraphics/documentation/how-report-bugs ?

Please provide a direct URL to your bug report once you have made it so that it may be tracked.

Thank you for your help.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Triaged
Giraffe (dodger-forum) wrote :

Christopher,

I'll look into reporting this problem and report once i have some more free time on my hands.

Thank you for you're assistance.

Giraffe (dodger-forum) wrote :

System updated to latest bios:
Giraffe@Precision-7510:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for Giraffe:
1.9.5
12/22/2016

tags: added: latest-bios-1.9.5
removed: latest-bios-1.9.4
Giraffe (dodger-forum) wrote :

Just created a bugreport @bugs.freedesktop.org:
https://bugs.freedesktop.org/show_bug.cgi?id=99423

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.